Query on usage of openssl 1.1.0f with openssl-FIPS

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Query on usage of openssl 1.1.0f with openssl-FIPS

Grace Priscilla Jero

Hi All,

 

We would want to build our openssl 1.1.0f with FIPS but we noticed it is mentioned as

“The 2.0 FIPS module is compatible with OpenSSL releases 1.0.1 and 1.0.2, and no others”.

I am unable to find the openssl-fips module for 1.1.0f. Do you know when it will be available?

 

Could you please let us know the latest openssl 1.0 version that can be compiled with “openssl-fips-2.0.16”?

Also, please let know if that version supports DTLS.

 

Thanks,

Grace


--
openssl-users mailing list
To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-users
Reply | Threaded
Open this post in threaded view
|

Re: Query on usage of openssl 1.1.0f with openssl-FIPS

OpenSSL - User mailing list

Ø  I am unable to find the openssl-fips module for 1.1.0f. Do you know when it will be available?

 We have no date.  Work hasn’t fully started, and isn’t fully funded.  Perhaps your company would like to help? :) See our blog for updates (look in the archive for postings with FIPS in the title; https://www.openssl.org/blog )

Ø  Could you please let us know the latest openssl 1.0 version that can be compiled with “openssl-fips-2.0.16”?

1.0.2, latest release.

> Also, please let know if that version supports DTLS.

 I think no, but am not positive.


--
openssl-users mailing list
To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-users
Reply | Threaded
Open this post in threaded view
|

Re: Query on usage of openssl 1.1.0f with openssl-FIPS

Porter, Andrew

Support for DTLS 1.2 was one of the major changes from 1.0.1 to 1.0.2, see

 

https://www.openssl.org/news/openssl-1.0.2-notes.html

 

From: openssl-users [mailto:[hidden email]] On Behalf Of Salz, Rich via openssl-users
Sent: Wednesday, September 06, 2017 06:49
To: [hidden email]
Subject: Re: [openssl-users] Query on usage of openssl 1.1.0f with openssl-FIPS

 

Ø  I am unable to find the openssl-fips module for 1.1.0f. Do you know when it will be available?

 We have no date.  Work hasn’t fully started, and isn’t fully funded.  Perhaps your company would like to help? :) See our blog for updates (look in the archive for postings with FIPS in the title; https://www.openssl.org/blog )

Ø  Could you please let us know the latest openssl 1.0 version that can be compiled with “openssl-fips-2.0.16”?

1.0.2, latest release.

> Also, please let know if that version supports DTLS.

 I think no, but am not positive.


--
openssl-users mailing list
To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-users